#ifndef _MAIN_H_
#define _MAIN_H_


#include <inttypes.h>
#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>

// macros
#define SBI(port, bit)	(port |= _BV(bit))
#define CBI(port, bit)	(port &= ~_BV(bit))

//#define show_string_direct_pgm(text, a, b, c)  strcpy_P(tbuf, PSTR(text)); show_string_direct(tbuf, a, b, c)
//#define show_string_direct_pgm(text, a, b, c)  show_string_direct(text, a, b, c)

#define LB(x) ((x)&0x00FF)
#define HB(x) (((x)>>8)&0x00FF)

// Variables 
extern volatile uint8_t g_swState ;

#define CHANNEL_FM 0
#define CHANNEL_MW 1
#define CHANNEL_SW1 2
#define CHANNEL_SW2 3
#define CHANNEL_SW3 4

struct sRadioSettings{
	uint8_t channel;
};
extern struct sRadioSettings g_radioSettings;

// Constants 
#define SW1 1 // SEL
#define SW_LONG 16
#define SW_PUSHING 32
#define SW_UNPUSHED 0

#define LONGPUSH_WEIGHT 5
#define SW_PORT_MASK 0b10000000
#define SW1_PUSHED   0b00000000
#define SW_PORT PINB


#endif

